#version 110
attribute vec3 in_pos;
attribute vec2 in_uv;

varying vec2 out_uv;

uniform mat4 uniform_model;
uniform mat4 uniform_view;
uniform mat4 uniform_projection;

void main() {
	gl_Position = uniform_projection * uniform_view * uniform_model * vec4(in_pos, 1.0);
	out_uv = in_uv;
}
